/* Stylesheet für alterssimulationsanzug.net 
  responsives Layout mit Grid Layout ab Z. 272   */

/* ====================================================   GLOBAL DEFINITION   ==================================================== */

/* alternatives Boxmodell */
html { 
  box-sizing: border-box; 
  background: #dd2727;
    
  } 

*, ::before, ::after { 
  box-sizing: inherit; 
}


		/* max-width: 75em;
Methode 1: Breite auf 100vw setzen */
body {
	width: 100vw;
	margin:0 0 0 0em;
	padding: 0 0 0 0em;
	background: #fff;	
	color: #333; 
	font: normal 1em Arial, sans-serif;  /* Mindestschriftgröße wird dem Browser, bzw. dem Nutzer überlassen! */
                    
}

/*================   Back to Top Button    =====================================*/



#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: red;
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 4px;
}

#myBtn:hover {
  background-color: #555;
}


/* ====================================================   HEADER   ==================================================== */

header {
	position: relative;		
	height: auto;
	margin: 0em 0em 0em 0em;
	background: #6B7495; 
	background-size: contain; 			 
	padding: 0 0 0.1em 0em;
}

header a h1,
header a p {			/*Die Angaben für h1 müssen mit einem genauen Selektor überschrieben werden. */
	color: white;
	border-left: 0;
	padding: 0.3em 0em 0em 1.5em;
    display: table;		/* Überschriften und Absätze sind sonst immer 100% breit, durch display:table und display: inline-block; für das Elternelement a.ribbon wird das Banner nur so breit wie nötig. */
 }

.ribbon {
	display: inline-block;
	position: relative;	
	margin: 1em 0 1em -1.5em;
	padding: 0.2em 1em;
	background: #3b3b3bbe;
	box-shadow: 0px 1px 3px rgba(0,0,0,.8);
}
 
.ribbon::before{
	display: block;
	width: 1.5em;
	height: 0;
	position: absolute;
	bottom: -1.5em;
	left: 0em;
	content: "";
	border-bottom: 1.5em solid transparent;
	border-right: 1.5em solid rgb(20, 20, 20);
}
 
/** CONTENT **/

main {
	margin: 0em .9em 0em .9em;
	padding: 0em 0em 0em 0em;
	background: #fff;
}

h2,
h3
 {
	font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif; 
	font-size: 1.2em;
	padding-left: 0.5em; 
	margin-left: 0.5em;
	color: #383838; 
	border-left:5px solid #4e68AD;
}
	
h2 span {
	font-size: 0.70em; 
	color: #818181; 
	text-transform: none;
}

h3	{ 
	font-size: 1.0em; 
	font-weight: normal; 
	padding: 0 0 0 0.9em; 
	margin-left: 0.9em; 
	color: #383838; 
}		

p {
	text-align: left; 
	line-height: 1.6em; 
	padding: 0px 10px 0px 10px
}
img { 
	max-width: 80%; height: auto;
	display: block;
	margin-bottom: 1.5em;
	margin-left: auto;
  	margin-right: auto;
  
}

a 	{ 
	color: #2b3941; 
	outline: none; 
	text-decoration: none; 
}
a:hover, 			/* Durch Maus oder Tastatur angewählte Verweise werden sichtbar gemacht */
a:focus { 
	color: white; 
	text-decoration: none; 
	background-color: #4e7a92;	
}

a.more	{ 
	float: right; 
	padding: 0 1em 0 0;
	font-weight: bold; 
}

a.more:after{
	content:" \2192 ";
	font-size:1.2em;
	font-weight:bold;
}

ul.square {
	list-style-type:square;
    color: #4f556a;
    margin: 0em 0em 0em 0em;
	font-size: 1.0em;
	font-weight: normal;
	line-height: 105%; /* prozentualer Wert */
}

ul.square li{
	padding:5px;	
}

/*DL, DT, DD Datenliste*/
dl.grid { 
  display: grid; 
  grid-template-columns: 1fr 100%; 
  }
dd { 
  margin: 0; 
  padding-left: 1em;
  }

dd span:first-child {
  display: inline-block;
  width: 4em;
}

dl.grid dd {
  margin-bottom: 1em;
}

a[href^="tel"] { white-space: nowrap; }

ul#footer-nav li { 
	list-style-type: none;  
	displaY: inline;
	padding: 0 0.5em; 
	border-right: 1px  solid #ACACAC; 
}

footer {
	display: grid;
    grid-template-columns: repeat(2, 1fr);	
	padding: 1em 1em 1em 1em;
  background-color: rgb(220, 220, 220);

}

ul#footer-nav  li:last-child { 
	border: none; 
}	

ul#footer-nav img {
	width: 1.5em;
}

ul#footer-nav a:hover,
ul#footer-nav a:focus, 
ul#footer-nav a:active {
	background: rgba(150, 150, 150, 0.998);
}

footer p {
	/*text-align: none;*/
	padding: 0 0 0 1.0em;
}

/** Navigation **/

nav#navigation{
}
	
#navigation ul {
    list-style-type: none;
    width: 100%;
	margin-bottom:30px;
}

#navigation ul li.first-child	{ border-top: 1px #DBDBDB solid; }


#navigation ul li a {
	display: block;
    border-bottom: 1px solid #4e7a92;
    font-size: 1.1em;
    line-height: 1.5em;
    padding: 0.4em 35px;
    text-decoration: none;
	width: 13em; 
}

#navigation ul li a:before{
	content:" ";
	display:inline-block;
	width:1em;
	height:1em;
	border-left:5px solid #4e7a92;;
}	
		
nav a[aria-current=page]{
 background: #aaa;
}



/* ========== repsonsives Grid-Layout ========== */

/* mobile first - auf schmalen Bildschirmen wird alles untereinander platziert. */ 

/* ab einer Breite von 30em haben zwei Spalten nebeneinander Platz: */

@media (min-width: 30em) { 
  main {
  	display: grid;	  
    grid-template-columns: 30% 30% 30%;
  }

	footer {
	display: grid;
    grid-template-columns: repeat(2, 1fr);	
	background-color: rgb(220, 220, 220);

}
	
  }


  nav {
    grid-column: 1 / 2;
  }
  
  #intro {
    grid-column: 2 / 3;
    grid-row:    1 / 2;					
  }

  article {
    grid-column: 2 / 3;
  }  
 

 /*
  .spalte img {
     width: 50%;
	 float: left;
	 margin-right: 0.5em;		
  }*/




@media (min-width: 50em) { 
  main {
    grid-template-columns: 20% 35% 35%;
	grid-gap: 0.0em;
	/*grid-template-columns: repeat(3, 1fr);*/		
   }
 
footer {
	/*display: grid;*/
    grid-template-columns: 20% 35% 35%;	
	grid-gap: 1em;
	/*padding: 3em;*/
  background-color: rgb(220, 220, 220);

}
	}

 /*
 .column-2 {
  grid-column: 1 / 3;
  background-color: red;
}
*/

  nav {
    grid-row: 1 / 4;
  } 

  #intro {
    grid-column: 2 / 4;
    grid-row:    1 / 2;					
  }

  article {
    grid-column: 2 / 4;
  }    
  
   aside {
    grid-column: 3 / 4;
    grid-row: 1 / 2;	
  }   
  
  .spalte-1 {
    grid-row:    2 / 2;
	background-color: rgb(255, 255, 255);
	border: .1em solid #babdbe;				
  }

  .spalte-2 {
    grid-row:    2 / 2;
	background-color: rgb(240, 240, 240);
	/*border: .1em solid #29668f;*/					
  }

   .spalte-3 {
    grid-row:    2 / 3;
	background-color: rgb(109, 27, 233);					
  }

  .spalte-4 {
    grid-row:    2 / 3;
	background-color: rgb(157, 202, 227);					
  }
  .spalte-5 {
    grid-row:    2 / 3;
	background-color: rgb(122, 237, 180);					
  }
/*
.spalte:nth-child(1) {
  background-color: red;
}

.spalte:nth-child(2) {
  background-color: blue;
}

.spalte:nth-child(3) {
  background-color: green;
}

.spalte:nth-child(4) {
  background-color: rgb(197, 200, 194);
}
.spalte:nth-child(5) {
  background-color: rgb(220, 231, 18);
}
*/



 /*
  .spalte img {
     width: 100%;
  }*/ 

  .myButton {
	box-shadow:inset 0px 1px 0px 0px #276873;
	background-color:#3a6c7e;
	border-radius:10px;
	border:.5px solid #29668f;
	display: block;
    margin: 10% 20% 10% 20%;
	cursor:pointer;
	color:#ffffff;
	font-family:Verdana;
	font-size:16px;
	font-weight:550;
	padding:10px 10px;
	text-align:center;
	text-decoration:none;
	text-shadow:0px 1px 0px #3d768a;
}
.myButton:hover {
	background-color:#408c99;
}
.myButton:active {
	position:relative;
	top:1px;
}
